cascading.util

## Class SetMultiMap<K,V>

- java.lang.Object
- - cascading.util.MultiMap<java.util.Set<V>,K,V>
  - - cascading.util.SetMultiMap<K,V>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EnumMultiMap

      public class SetMultiMap<K,V>
      extends MultiMap<java.util.Set<V>,K,V>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetMultiMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Set<V>` | `createCollection()`
    `protected java.util.Map<K,java.util.Set<V>>` | `createMap()`
    `protected java.util.Set<V>` | `emptyCollection()`

    - ### Methods inherited from class cascading.util.MultiMap

      `addAll, addAll, addAll, containsKey, equals, getAllValues, getEntries, getKeys, getKeysFor, getMap, getMultiValues, getValues, getValues, hadKey, hashCode, hasKey, isEmpty, put, remove, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SetMultiMap

          public SetMultiMap()

  - ### Method Detail

    - #### createMap

          protected java.util.Map<K,java.util.Set<V>> createMap()

      Specified by:
        `createMap` in class `MultiMap<java.util.Set<V>,K,V>`

    - #### createCollection

          protected java.util.Set<V> createCollection()

      Specified by:
        `createCollection` in class `MultiMap<java.util.Set<V>,K,V>`

    - #### emptyCollection

          protected java.util.Set<V> emptyCollection()

      Specified by:
        `emptyCollection` in class `MultiMap<java.util.Set<V>,K,V>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.